{
  "schema_version": "1.4.0",
  "id": "GHSA-xqxg-hxfm-4q7f",
  "modified": "2025-04-11T03:58:38Z",
  "published": "2022-05-17T01:48:47Z",
  "aliases": [
    "CVE-2012-1149"
  ],
  "details": "Integer overflow in the vclmi.dll module in OpenOffice.org (OOo) 3.3, 3.4 Beta, and possibly earlier, and LibreOffice before 3.5.3, allows remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a crafted embedded image object, as demonstrated by a JPEG image in a .DOC file, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-1149"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2012:0705"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2012-1149"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=821726"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/75692"
    },
    {
      "type": "WEB",
      "url": "http://archives.neohapsis.com/archives/bugtraq/2012-05/0089.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2012-June/082168.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2012-May/081319.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2012-0705.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/46992"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/47244"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/49140"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/49373"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/49392"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/50692"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/60799"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-201209-05.xml"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1027068"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2012/dsa-2473"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2012/dsa-2487"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-201408-19.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.libreoffice.org/advisories/cve-2012-1149"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2012:090"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2012:091"
    },
    {
      "type": "WEB",
      "url": "http://www.openoffice.org/security/cves/CVE-2012-1149.html"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/81988"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/53570"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-06-21T15:55:00Z"
  }
}